com.massivecraft.factions.event

## Class FPlayerJoinEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FPlayerJoinEvent

- All Implemented Interfaces:
    org.bukkit.event.Cancellable

      public class FPlayerJoinEvent
      extends FactionPlayerEvent
      implements org.bukkit.event.Cancellable

  Event called when an FPlayer joins a Faction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FPlayerJoinEvent.PlayerJoinReason`

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `fPlayer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FPlayerJoinEvent(FPlayer fp, Faction f, FPlayerJoinEvent.PlayerJoinReason r)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FPlayerJoinEvent.PlayerJoinReason` | `getReason()` Get the reason the player joined the faction.
    `boolean` | `isCancelled()`
    `void` | `setCancelled(boolean c)`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `getfPlayer`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionEvent

      `getFaction, getHandlerList, getHandlers`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FPlayerJoinEvent

          public FPlayerJoinEvent(FPlayer fp,
                                  Faction f,
                                  FPlayerJoinEvent.PlayerJoinReason r)

  - ### Method Detail

    - #### getReason

          public FPlayerJoinEvent.PlayerJoinReason getReason()

      Get the reason the player joined the faction.
      Returns:
        reason player joined the faction.

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.bukkit.event.Cancellable`

    - #### setCancelled

          public void setCancelled(boolean c)

      Specified by:
        `setCancelled` in interface `org.bukkit.event.Cancellable`